From: abair@comland.com (Alan Bair)
Subject: L68K: Patch for 2.1.47 cyberfb.c
To: linux-m68k@phil.uni-sb.de (Linux/m68k Mailing List)
Date: Mon, 28 Jul 1997 23:11:56 -0500 (CDT)
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: linux-m68k@phil.uni-sb.de

Besides the m68kserial.c problem, which my Email on seems to have
vanished, I found a problem in the arch/m68k/amiga/cyberfb.c file.
Here is a patch for that problem. This again seems to be related
to macros for "color". Just curious, but why are there macros for
such common words like "color", "x", "y"?

$ diff -u linux/arch/m68k/amiga/cyberfb.c.ORG linux/arch/m68k/amiga/cyberfb.c
--- linux/arch/m68k/amiga/cyberfb.c.ORG Mon Jul 28 22:09:25 1997
+++ linux/arch/m68k/amiga/cyberfb.c     Mon Jul 28 22:10:06 1997
@@ -248,7 +248,7 @@
 void Cyber_BitBLT(u_short curx, u_short cury, u_short destx, u_short desty,
                   u_short width, u_short height, u_short mode);
 void Cyber_RectFill(u_short x, u_short y, u_short width, u_short height,
-                    u_short mode, u_short color);
+                    u_short mode, u_short fcolor);
 void Cyber_MoveCursor(u_short x, u_short y);


@@ -681,7 +681,7 @@
 *((u_short volatile *)(CyberRegs + S3_FRGD_MIX)) = (0x0020 | mode);

 *((u_short volatile *)(CyberRegs + S3_MULT_MISC)) = 0xe000;
-*((u_short volatile *)(CyberRegs + S3_FRGD_COLOR)) = color;
+*((u_short volatile *)(CyberRegs + S3_FRGD_COLOR)) = fcolor;

 *((u_short volatile *)(CyberRegs + S3_CUR_X)) = x;
 *((u_short volatile *)(CyberRegs + S3_CUR_Y)) = y;


Alan
